<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Wed May 02 20:58:40 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Serialized Form</title>
<meta name="date" content="2018-05-02">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;fernandez_sanchez_abraham_PROG07_Tarea</h2>
<ul class="blockList">
<li class="blockList"><a name="fernandez_sanchez_abraham_PROG07_Tarea.VentanaPrincipal">
<!--   -->
</a>
<h3>Class <a href="fernandez_sanchez_abraham_PROG07_Tarea/VentanaPrincipal.html" title="class in fernandez_sanchez_abraham_PROG07_Tarea">fernandez_sanchez_abraham_PROG07_Tarea.VentanaPrincipal</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>windowNewProfesor</h4>
<pre><a href="fernandez_sanchez_abraham_PROG07_Tarea/WindowNewEmpleado.html" title="class in fernandez_sanchez_abraham_PROG07_Tarea">WindowNewEmpleado</a> windowNewProfesor</pre>
</li>
<li class="blockList">
<h4>util</h4>
<pre><a href="persistencia/UtilClass.html" title="class in persistencia">UtilClass</a> util</pre>
</li>
<li class="blockList">
<h4>jButtonEditarEmpleado</h4>
<pre>javax.swing.JButton jButtonEditarEmpleado</pre>
</li>
<li class="blockList">
<h4>jButtonEditarTrabajo</h4>
<pre>javax.swing.JButton jButtonEditarTrabajo</pre>
</li>
<li class="blockList">
<h4>jButtonGuardar</h4>
<pre>javax.swing.JButton jButtonGuardar</pre>
</li>
<li class="blockList">
<h4>jButtonListadoEmpleados</h4>
<pre>javax.swing.JButton jButtonListadoEmpleados</pre>
</li>
<li class="blockList">
<h4>jButtonListadoTrabajos</h4>
<pre>javax.swing.JButton jButtonListadoTrabajos</pre>
</li>
<li class="blockList">
<h4>jButtonNewEmpleado</h4>
<pre>javax.swing.JButton jButtonNewEmpleado</pre>
</li>
<li class="blockList">
<h4>jButtonNewTrabajo</h4>
<pre>javax.swing.JButton jButtonNewTrabajo</pre>
</li>
<li class="blockList">
<h4>jInternalFramePrincipal</h4>
<pre>javax.swing.JInternalFrame jInternalFramePrincipal</pre>
</li>
<li class="blockList">
<h4>jMenu1</h4>
<pre>javax.swing.JMenu jMenu1</pre>
</li>
<li class="blockList">
<h4>jMenu2</h4>
<pre>javax.swing.JMenu jMenu2</pre>
</li>
<li class="blockList">
<h4>jMenu3</h4>
<pre>javax.swing.JMenu jMenu3</pre>
</li>
<li class="blockList">
<h4>jMenu5</h4>
<pre>javax.swing.JMenu jMenu5</pre>
</li>
<li class="blockList">
<h4>jMenuBar1</h4>
<pre>javax.swing.JMenuBar jMenuBar1</pre>
</li>
<li class="blockList">
<h4>jMenuISalir</h4>
<pre>javax.swing.JMenuItem jMenuISalir</pre>
</li>
<li class="blockList">
<h4>jMenuItemEditarEmpleado</h4>
<pre>javax.swing.JMenuItem jMenuItemEditarEmpleado</pre>
</li>
<li class="blockList">
<h4>jMenuItemEditarTrabajo</h4>
<pre>javax.swing.JMenuItem jMenuItemEditarTrabajo</pre>
</li>
<li class="blockList">
<h4>jMenuItemGuardar</h4>
<pre>javax.swing.JMenuItem jMenuItemGuardar</pre>
</li>
<li class="blockList">
<h4>jMenuItemListadoEmpleados</h4>
<pre>javax.swing.JMenuItem jMenuItemListadoEmpleados</pre>
</li>
<li class="blockList">
<h4>jMenuItemListadoTrabajos</h4>
<pre>javax.swing.JMenuItem jMenuItemListadoTrabajos</pre>
</li>
<li class="blockList">
<h4>jMenuItemNewEmpleado</h4>
<pre>javax.swing.JMenuItem jMenuItemNewEmpleado</pre>
</li>
<li class="blockList">
<h4>jMenuItemNewTrabajo</h4>
<pre>javax.swing.JMenuItem jMenuItemNewTrabajo</pre>
</li>
<li class="blockList">
<h4>jSeparator1</h4>
<pre>javax.swing.JPopupMenu.Separator jSeparator1</pre>
</li>
<li class="blockList">
<h4>jSeparator2</h4>
<pre>javax.swing.JToolBar.Separator jSeparator2</pre>
</li>
<li class="blockList">
<h4>jSeparator3</h4>
<pre>javax.swing.JToolBar.Separator jSeparator3</pre>
</li>
<li class="blockListLast">
<h4>jToolBar1</h4>
<pre>javax.swing.JToolBar jToolBar1</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="fernandez_sanchez_abraham_PROG07_Tarea.WindowEditEmpleado">
<!--   -->
</a>
<h3>Class <a href="fernandez_sanchez_abraham_PROG07_Tarea/WindowEditEmpleado.html" title="class in fernandez_sanchez_abraham_PROG07_Tarea">fernandez_sanchez_abraham_PROG07_Tarea.WindowEditEmpleado</a> extends javax.swing.JInternalFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>util</h4>
<pre><a href="persistencia/UtilClass.html" title="class in persistencia">UtilClass</a> util</pre>
</li>
<li class="blockList">
<h4>nombre</h4>
<pre>java.lang.String nombre</pre>
</li>
<li class="blockList">
<h4>apellidos</h4>
<pre>java.lang.String apellidos</pre>
</li>
<li class="blockList">
<h4>titulacion</h4>
<pre>java.lang.String titulacion</pre>
</li>
<li class="blockList">
<h4>direccion</h4>
<pre>java.lang.String direccion</pre>
</li>
<li class="blockList">
<h4>nif</h4>
<pre>java.lang.String nif</pre>
</li>
<li class="blockList">
<h4>telefono</h4>
<pre>int telefono</pre>
</li>
<li class="blockList">
<h4>edad</h4>
<pre>int edad</pre>
</li>
<li class="blockList">
<h4>fechaAlta</h4>
<pre>java.lang.String fechaAlta</pre>
</li>
<li class="blockList">
<h4>interino</h4>
<pre>boolean interino</pre>
</li>
<li class="blockList">
<h4>nombreTrabajo</h4>
<pre>java.lang.String nombreTrabajo</pre>
</li>
<li class="blockList">
<h4>jButtonBuscarNif</h4>
<pre>javax.swing.JButton jButtonBuscarNif</pre>
</li>
<li class="blockList">
<h4>jButtonCancelar</h4>
<pre>javax.swing.JButton jButtonCancelar</pre>
</li>
<li class="blockList">
<h4>jButtonEliminarEmpleado</h4>
<pre>javax.swing.JButton jButtonEliminarEmpleado</pre>
</li>
<li class="blockList">
<h4>jButtonGuardarModificaciones</h4>
<pre>javax.swing.JButton jButtonGuardarModificaciones</pre>
</li>
<li class="blockList">
<h4>jCheckBoxInterino</h4>
<pre>javax.swing.JCheckBox jCheckBoxInterino</pre>
</li>
<li class="blockList">
<h4>jComboBoxTitulacion</h4>
<pre>javax.swing.JComboBox&lt;E&gt; jComboBoxTitulacion</pre>
</li>
<li class="blockList">
<h4>jLabel1</h4>
<pre>javax.swing.JLabel jLabel1</pre>
</li>
<li class="blockList">
<h4>jLabel2</h4>
<pre>javax.swing.JLabel jLabel2</pre>
</li>
<li class="blockList">
<h4>jLabel3</h4>
<pre>javax.swing.JLabel jLabel3</pre>
</li>
<li class="blockList">
<h4>jLabel4</h4>
<pre>javax.swing.JLabel jLabel4</pre>
</li>
<li class="blockList">
<h4>jLabel5</h4>
<pre>javax.swing.JLabel jLabel5</pre>
</li>
<li class="blockList">
<h4>jLabel6</h4>
<pre>javax.swing.JLabel jLabel6</pre>
</li>
<li class="blockList">
<h4>jLabel7</h4>
<pre>javax.swing.JLabel jLabel7</pre>
</li>
<li class="blockList">
<h4>jLabel8</h4>
<pre>javax.swing.JLabel jLabel8</pre>
</li>
<li class="blockList">
<h4>jLabel9</h4>
<pre>javax.swing.JLabel jLabel9</pre>
</li>
<li class="blockList">
<h4>jPanelDatosEditar</h4>
<pre>javax.swing.JPanel jPanelDatosEditar</pre>
</li>
<li class="blockList">
<h4>jPanelSearchEmpleado</h4>
<pre>javax.swing.JPanel jPanelSearchEmpleado</pre>
</li>
<li class="blockList">
<h4>jSeparator1</h4>
<pre>javax.swing.JSeparator jSeparator1</pre>
</li>
<li class="blockList">
<h4>jTextFieldApellidos</h4>
<pre>javax.swing.JTextField jTextFieldApellidos</pre>
</li>
<li class="blockList">
<h4>jTextFieldDireccion</h4>
<pre>javax.swing.JTextField jTextFieldDireccion</pre>
</li>
<li class="blockList">
<h4>jTextFieldEdad</h4>
<pre>javax.swing.JTextField jTextFieldEdad</pre>
</li>
<li class="blockList">
<h4>jTextFieldFechaAlta</h4>
<pre>javax.swing.JTextField jTextFieldFechaAlta</pre>
</li>
<li class="blockList">
<h4>jTextFieldNif</h4>
<pre>javax.swing.JTextField jTextFieldNif</pre>
</li>
<li class="blockList">
<h4>jTextFieldNombre</h4>
<pre>javax.swing.JTextField jTextFieldNombre</pre>
</li>
<li class="blockList">
<h4>jTextFieldSearchNif</h4>
<pre>javax.swing.JTextField jTextFieldSearchNif</pre>
</li>
<li class="blockListLast">
<h4>jTextFieldTelefono</h4>
<pre>javax.swing.JTextField jTextFieldTelefono</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="fernandez_sanchez_abraham_PROG07_Tarea.WindowEditTrabajo">
<!--   -->
</a>
<h3>Class <a href="fernandez_sanchez_abraham_PROG07_Tarea/WindowEditTrabajo.html" title="class in fernandez_sanchez_abraham_PROG07_Tarea">fernandez_sanchez_abraham_PROG07_Tarea.WindowEditTrabajo</a> extends javax.swing.JInternalFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>util</h4>
<pre><a href="persistencia/UtilClass.html" title="class in persistencia">UtilClass</a> util</pre>
</li>
<li class="blockList">
<h4>trabajo</h4>
<pre><a href="persistencia/TrabajoClass.html" title="class in persistencia">TrabajoClass</a> trabajo</pre>
</li>
<li class="blockList">
<h4>nombreTrabajo</h4>
<pre>java.lang.String nombreTrabajo</pre>
</li>
<li class="blockList">
<h4>jButtonCancelar</h4>
<pre>javax.swing.JButton jButtonCancelar</pre>
</li>
<li class="blockList">
<h4>jButtonDelete</h4>
<pre>javax.swing.JButton jButtonDelete</pre>
</li>
<li class="blockList">
<h4>jButtonGuardarModificacion</h4>
<pre>javax.swing.JButton jButtonGuardarModificacion</pre>
</li>
<li class="blockList">
<h4>jComboBoxTrabajos</h4>
<pre>javax.swing.JComboBox&lt;E&gt; jComboBoxTrabajos</pre>
</li>
<li class="blockList">
<h4>jLabel1</h4>
<pre>javax.swing.JLabel jLabel1</pre>
</li>
<li class="blockList">
<h4>jPanelEdicion</h4>
<pre>javax.swing.JPanel jPanelEdicion</pre>
</li>
<li class="blockList">
<h4>jSeparator1</h4>
<pre>javax.swing.JSeparator jSeparator1</pre>
</li>
<li class="blockListLast">
<h4>jTextFieldNombreTrabajo</h4>
<pre>javax.swing.JTextField jTextFieldNombreTrabajo</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="fernandez_sanchez_abraham_PROG07_Tarea.WindowNewEmpleado">
<!--   -->
</a>
<h3>Class <a href="fernandez_sanchez_abraham_PROG07_Tarea/WindowNewEmpleado.html" title="class in fernandez_sanchez_abraham_PROG07_Tarea">fernandez_sanchez_abraham_PROG07_Tarea.WindowNewEmpleado</a> extends javax.swing.JInternalFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>nombre</h4>
<pre>java.lang.String nombre</pre>
<div class="block">Declaracion de las variables</div>
</li>
<li class="blockList">
<h4>apellidos</h4>
<pre>java.lang.String apellidos</pre>
</li>
<li class="blockList">
<h4>titulacion</h4>
<pre>java.lang.String titulacion</pre>
</li>
<li class="blockList">
<h4>direccion</h4>
<pre>java.lang.String direccion</pre>
</li>
<li class="blockList">
<h4>nif</h4>
<pre>java.lang.String nif</pre>
</li>
<li class="blockList">
<h4>telefono</h4>
<pre>int telefono</pre>
</li>
<li class="blockList">
<h4>edad</h4>
<pre>int edad</pre>
</li>
<li class="blockList">
<h4>fechaAlta</h4>
<pre>java.lang.String fechaAlta</pre>
</li>
<li class="blockList">
<h4>interino</h4>
<pre>boolean interino</pre>
</li>
<li class="blockList">
<h4>nombreTrabajo</h4>
<pre>java.lang.String nombreTrabajo</pre>
</li>
<li class="blockList">
<h4>empleado</h4>
<pre><a href="persistencia/EmpleadoClass.html" title="class in persistencia">EmpleadoClass</a> empleado</pre>
<div class="block">Instanciacion de los objetos de las clases externas utilizadas</div>
</li>
<li class="blockList">
<h4>util</h4>
<pre><a href="persistencia/UtilClass.html" title="class in persistencia">UtilClass</a> util</pre>
</li>
<li class="blockList">
<h4>jButtonCancelar</h4>
<pre>javax.swing.JButton jButtonCancelar</pre>
</li>
<li class="blockList">
<h4>jButtonGuardar</h4>
<pre>javax.swing.JButton jButtonGuardar</pre>
</li>
<li class="blockList">
<h4>jButtonReset</h4>
<pre>javax.swing.JButton jButtonReset</pre>
</li>
<li class="blockList">
<h4>jCheckBoxInterino</h4>
<pre>javax.swing.JCheckBox jCheckBoxInterino</pre>
</li>
<li class="blockList">
<h4>jComboBoxTitulacion</h4>
<pre>javax.swing.JComboBox&lt;E&gt; jComboBoxTitulacion</pre>
</li>
<li class="blockList">
<h4>jLabel1</h4>
<pre>javax.swing.JLabel jLabel1</pre>
</li>
<li class="blockList">
<h4>jLabel2</h4>
<pre>javax.swing.JLabel jLabel2</pre>
</li>
<li class="blockList">
<h4>jLabel3</h4>
<pre>javax.swing.JLabel jLabel3</pre>
</li>
<li class="blockList">
<h4>jLabel4</h4>
<pre>javax.swing.JLabel jLabel4</pre>
</li>
<li class="blockList">
<h4>jLabel5</h4>
<pre>javax.swing.JLabel jLabel5</pre>
</li>
<li class="blockList">
<h4>jLabel6</h4>
<pre>javax.swing.JLabel jLabel6</pre>
</li>
<li class="blockList">
<h4>jLabel7</h4>
<pre>javax.swing.JLabel jLabel7</pre>
</li>
<li class="blockList">
<h4>jLabel8</h4>
<pre>javax.swing.JLabel jLabel8</pre>
</li>
<li class="blockList">
<h4>jSeparator1</h4>
<pre>javax.swing.JSeparator jSeparator1</pre>
</li>
<li class="blockList">
<h4>jTextFieldApellidos</h4>
<pre>javax.swing.JTextField jTextFieldApellidos</pre>
</li>
<li class="blockList">
<h4>jTextFieldDireccion</h4>
<pre>javax.swing.JTextField jTextFieldDireccion</pre>
</li>
<li class="blockList">
<h4>jTextFieldEdad</h4>
<pre>javax.swing.JTextField jTextFieldEdad</pre>
</li>
<li class="blockList">
<h4>jTextFieldFechaAlta</h4>
<pre>javax.swing.JTextField jTextFieldFechaAlta</pre>
</li>
<li class="blockList">
<h4>jTextFieldNif</h4>
<pre>javax.swing.JTextField jTextFieldNif</pre>
</li>
<li class="blockList">
<h4>jTextFieldNombre</h4>
<pre>javax.swing.JTextField jTextFieldNombre</pre>
</li>
<li class="blockListLast">
<h4>jTextFieldTelefono</h4>
<pre>javax.swing.JTextField jTextFieldTelefono</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="fernandez_sanchez_abraham_PROG07_Tarea.WindowNewTipoTrabajo">
<!--   -->
</a>
<h3>Class <a href="fernandez_sanchez_abraham_PROG07_Tarea/WindowNewTipoTrabajo.html" title="class in fernandez_sanchez_abraham_PROG07_Tarea">fernandez_sanchez_abraham_PROG07_Tarea.WindowNewTipoTrabajo</a> extends javax.swing.JInternalFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>util</h4>
<pre><a href="persistencia/UtilClass.html" title="class in persistencia">UtilClass</a> util</pre>
</li>
<li class="blockList">
<h4>trabajo</h4>
<pre><a href="persistencia/TrabajoClass.html" title="class in persistencia">TrabajoClass</a> trabajo</pre>
</li>
<li class="blockList">
<h4>jButtonAceptar</h4>
<pre>javax.swing.JButton jButtonAceptar</pre>
</li>
<li class="blockList">
<h4>jButtonCancelar</h4>
<pre>javax.swing.JButton jButtonCancelar</pre>
</li>
<li class="blockList">
<h4>jLabel1</h4>
<pre>javax.swing.JLabel jLabel1</pre>
</li>
<li class="blockListLast">
<h4>jTextFieldNombreTrabajo</h4>
<pre>javax.swing.JTextField jTextFieldNombreTrabajo</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="fernandez_sanchez_abraham_PROG07_Tarea.WindowShowEmpleados">
<!--   -->
</a>
<h3>Class <a href="fernandez_sanchez_abraham_PROG07_Tarea/WindowShowEmpleados.html" title="class in fernandez_sanchez_abraham_PROG07_Tarea">fernandez_sanchez_abraham_PROG07_Tarea.WindowShowEmpleados</a> extends javax.swing.JInternalFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>modelo</h4>
<pre>javax.swing.table.DefaultTableModel modelo</pre>
</li>
<li class="blockList">
<h4>util</h4>
<pre><a href="persistencia/UtilClass.html" title="class in persistencia">UtilClass</a> util</pre>
</li>
<li class="blockList">
<h4>empleado</h4>
<pre><a href="persistencia/EmpleadoClass.html" title="class in persistencia">EmpleadoClass</a> empleado</pre>
</li>
<li class="blockList">
<h4>nombre</h4>
<pre>java.lang.String nombre</pre>
</li>
<li class="blockList">
<h4>apellidos</h4>
<pre>java.lang.String apellidos</pre>
</li>
<li class="blockList">
<h4>titulacion</h4>
<pre>java.lang.String titulacion</pre>
</li>
<li class="blockList">
<h4>direccion</h4>
<pre>java.lang.String direccion</pre>
</li>
<li class="blockList">
<h4>nif</h4>
<pre>java.lang.String nif</pre>
</li>
<li class="blockList">
<h4>telefono</h4>
<pre>int telefono</pre>
</li>
<li class="blockList">
<h4>edad</h4>
<pre>int edad</pre>
</li>
<li class="blockList">
<h4>fechaAlta</h4>
<pre>java.lang.String fechaAlta</pre>
</li>
<li class="blockList">
<h4>interino</h4>
<pre>boolean interino</pre>
</li>
<li class="blockList">
<h4>interinoText</h4>
<pre>java.lang.String interinoText</pre>
</li>
<li class="blockList">
<h4>nombreTrabajo</h4>
<pre>java.lang.String nombreTrabajo</pre>
</li>
<li class="blockList">
<h4>jScrollPane1</h4>
<pre>javax.swing.JScrollPane jScrollPane1</pre>
</li>
<li class="blockListLast">
<h4>jTableEmpleados</h4>
<pre>javax.swing.JTable jTableEmpleados</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="fernandez_sanchez_abraham_PROG07_Tarea.WindowShowTrabajos">
<!--   -->
</a>
<h3>Class <a href="fernandez_sanchez_abraham_PROG07_Tarea/WindowShowTrabajos.html" title="class in fernandez_sanchez_abraham_PROG07_Tarea">fernandez_sanchez_abraham_PROG07_Tarea.WindowShowTrabajos</a> extends javax.swing.JInternalFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>modelo</h4>
<pre>javax.swing.table.DefaultTableModel modelo</pre>
</li>
<li class="blockList">
<h4>util</h4>
<pre><a href="persistencia/UtilClass.html" title="class in persistencia">UtilClass</a> util</pre>
</li>
<li class="blockList">
<h4>jScrollPane1</h4>
<pre>javax.swing.JScrollPane jScrollPane1</pre>
</li>
<li class="blockListLast">
<h4>jTableTrabajos</h4>
<pre>javax.swing.JTable jTableTrabajos</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;persistencia</h2>
<ul class="blockList">
<li class="blockList"><a name="persistencia.EmpleadoClass">
<!--   -->
</a>
<h3>Class <a href="persistencia/EmpleadoClass.html" title="class in persistencia">persistencia.EmpleadoClass</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>nombre</h4>
<pre>java.lang.String nombre</pre>
</li>
<li class="blockList">
<h4>apellidos</h4>
<pre>java.lang.String apellidos</pre>
</li>
<li class="blockList">
<h4>titulacion</h4>
<pre>java.lang.String titulacion</pre>
</li>
<li class="blockList">
<h4>direccion</h4>
<pre>java.lang.String direccion</pre>
</li>
<li class="blockList">
<h4>nif</h4>
<pre>java.lang.String nif</pre>
</li>
<li class="blockList">
<h4>telefono</h4>
<pre>int telefono</pre>
</li>
<li class="blockList">
<h4>edad</h4>
<pre>int edad</pre>
</li>
<li class="blockList">
<h4>fechaAlta</h4>
<pre>java.lang.String fechaAlta</pre>
</li>
<li class="blockListLast">
<h4>interino</h4>
<pre>boolean interino</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="persistencia.TrabajoClass">
<!--   -->
</a>
<h3>Class <a href="persistencia/TrabajoClass.html" title="class in persistencia">persistencia.TrabajoClass</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>nombreTrabajo</h4>
<pre>java.lang.String nombreTrabajo</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="persistencia.UtilClass">
<!--   -->
</a>
<h3>Class <a href="persistencia/UtilClass.html" title="class in persistencia">persistencia.UtilClass</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>empleado</h4>
<pre><a href="persistencia/EmpleadoClass.html" title="class in persistencia">EmpleadoClass</a> empleado</pre>
</li>
<li class="blockListLast">
<h4>trabajo</h4>
<pre><a href="persistencia/TrabajoClass.html" title="class in persistencia">TrabajoClass</a> trabajo</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
